package com.proliferay.demo.controller;

import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.portlet.bind.annotation.RenderMapping;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

/**
 * 
 * @author Hamidul Islam
 *
 */
@Controller("helloWorldController")
@RequestMapping(value="VIEW")
public class HelloWorldController {

	private Log log = LogFactoryUtil.getLog(HelloWorldController.class.getName());
	
	 @RenderMapping
	    public String viewHomePage(RenderRequest request, RenderResponse response){
	      
	       log.info("#############################Calling viewHomePage##################################");
	        
	      return "view";
	         
	    }
}
